%define oname		enet

%define major		0
%define libname		%mklibname enet 1.2 %{major}
%define develname	%mklibname enet 1.2 -d

Name:		%{oname}1.2
Version:	1.2.5
Release:	%mkrel 3
Summary:	Simple Network Communication Layer on Top of UDP
License:	BSD
Group:		System/Libraries
Url:		http://enet.bespin.org/
Source:		http://enet.bespin.org/download/%{oname}-%{version}.tar.gz

%description
ENet's purpose is to provide a relatively thin, simple and robust network 
communication layer on top of UDP (User Datagram Protocol). The primary 
feature it provides is optional reliable, in-order delivery of packets.

ENet omits certain higher level networking features such as authentication, 
lobbying, server discovery, encryption, or other similar tasks that are 
particularly application specific so that the library remains flexible, 
portable, and easily embeddable.

%package -n %{libname}
Group:		System/Libraries
Summary:	Simple Network Communication Layer on Top of UDP

%description -n %{libname}
ENet's purpose is to provide a relatively thin, simple and robust network 
communication layer on top of UDP (User Datagram Protocol). The primary 
feature it provides is optional reliable, in-order delivery of packets.

ENet omits certain higher level networking features such as authentication, 
lobbying, server discovery, encryption, or other similar tasks that are 
particularly application specific so that the library remains flexible, 
portable, and easily embeddable.

%package -n %{develname}
Group:		Development/C
Summary:	Simple Network Communication Layer on Top of UDP
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%mklibname -d %{oname}

%description -n	%{develname}
ENet's purpose is to provide a relatively thin, simple and robust network
communication layer on top of UDP (User Datagram Protocol). The primary
feature it provides is optional reliable, in-order delivery of packets.

ENet omits certain higher level networking features such as authentication,
lobbying, server discovery, encryption, or other similar tasks that are
particularly application specific so that the library remains flexible,
portable, and easily embeddable.

This package contains the development files and headers for %{name}.

%prep
%setup -qn %{oname}-%{version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

#we don't want these
rm -rf %{buildroot}%{_libdir}/libenet.la

%check
%make check

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libenet.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/enet
%{_libdir}/libenet.so
%{_libdir}/pkgconfig/libenet.pc


%changelog

* Mon Sep 26 2011 wally <wally> 1.2.5-3.mga2
+ Revision: 148904
- make devel pkg to conflict with enet devel pkg
- clean .spec a bit

* Thu Sep 22 2011 wally <wally> 1.2.5-2.mga2
+ Revision: 146786
- rename source pkg

* Thu Jun 30 2011 wally <wally> 1.2.5-1.mga2
+ Revision: 116699
- new version 1.2.5
- drop buildroot definition

* Sun May 08 2011 mikala <mikala> 1.2.3-1.mga1
+ Revision: 96312
- imported package enet

